Bug 1168259 - qt-devel contains some webkit components which probably were not meant to be included
Summary: qt-devel contains some webkit components which probably were not meant to be ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-26 14:23 UTC by Sandro Mani
Modified: 2014-12-13 09:51 UTC (History)
9 users (show)

Fixed In Version: qt-4.8.6-18.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-26 17:11:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Sandro Mani 2014-11-26 14:23:34 UTC
Description of problem:
qt-devel contains some webkit components which probably were not meant to be included, judging from qt.spec line 906:

$ rpm -ql qt-devel | grep -i webkit
/usr/include/Qt/QtWebKit
/usr/lib64/libQtWebKit_debug.so

Version-Release number of selected component (if applicable):
qt-devel-4.8.6-17.fc22.x86_64

Comment 1 Rex Dieter 2014-11-26 17:08:05 UTC
good eye, I'll clean it up

Comment 2 Rex Dieter 2014-11-26 17:11:58 UTC
%changelog
* Wed Nov 26 2014 Rex Dieter <rdieter@fedoraproject.org> 1:4.8.6-18
- omit previously-overlooked webkit bits (#1168259)

Comment 3 Fedora Update System 2014-12-04 05:01:53 UTC
zarafa-7.1.11-2.fc21,qt-4.8.6-18.fc21,clucene09-0.9.21b-13.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/zarafa-7.1.11-2.fc21,qt-4.8.6-18.fc21,clucene09-0.9.21b-13.fc21

Comment 4 Fedora Update System 2014-12-04 05:52:47 UTC
qt-4.8.6-18.fc20,zarafa-7.1.11-2.fc20,clucene09-0.9.21b-13.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qt-4.8.6-18.fc20,zarafa-7.1.11-2.fc20,clucene09-0.9.21b-13.fc20

Comment 5 Fedora Update System 2014-12-13 09:41:07 UTC
qt-4.8.6-18.fc20, zarafa-7.1.11-2.fc20, clucene09-0.9.21b-13.fc20, qt5-qttools-5.3.2-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-12-13 09:51:59 UTC
zarafa-7.1.11-2.fc21, qt-4.8.6-18.fc21, clucene09-0.9.21b-13.fc21, qt5-qttools-5.3.2-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.